--
with Ada.Calendar;

generic
   type Item_Type is private;

   Max_Nb_Of_Items : Positive;
   Storage_Duration : Duration;

   with function Are_Equal (L, R : Item_Type) return Boolean is <>;

   with function Get_Time_Stamp (Item : Item_Type) return Ada.Calendar.Time is <>;

   -- -- --

   with function Print (Item : Item_Type) return String is <>;
   --
   --  TEST_ONLY

package Generic_Timed_Collection is

   procedure Add (Item : in Item_Type);

   function Already_Handled (Item : in Item_Type) return Boolean;

   No_Space_To_Store_Item : exception;

end Generic_Timed_Collection;
